Bug 13192 - aic7xxx.o modules causing kernel panic with kernel 2.2.16-3
Summary: aic7xxx.o modules causing kernel panic with kernel 2.2.16-3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-28 17:54 UTC by paul
Modified: 2016-11-25 04:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 00:04:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paul 2000-06-28 17:54:56 UTC
After upgrading to the latest kernel(2.2.16-3smp) (using
kernel-smp-2.2.16-3.i686.rpm ) the system no longer reboots 
The following messages are reported at boot time.
...
Loading aic7xxx.o
	/lib/aic7xxx.o kernel module version mismatch
			compiled for kernel version 2.2.5-15smp
kmod: failed to exec /sbin/modprobe -s -k block - major - 8, errno 2
VFS: Cannot open root device
Kernel Panic : VFS : Unable to mount root  b 08:02

notes: 2.2.5-15smp was the previously installed kernel;
the root partition is on /dev/sda0 (hence kernel panic?)

system: Dell PowerEdge with Adaptec AIC -7890 Ultra2 SCSI adaptor, SCSI
hard drive (see notes) amd SMP.

Tested against kernel-smp-2.2.16-3.i686.rpm & kernel-2.2.16-3.i686.rpm 
Always occurs (unsurprisingly).

Comment 1 redhat-bugzilla 2000-07-22 14:29:49 UTC
You might need to make a new init ram disk, with mkinitrd, using the
module for the newest kernel version.


Comment 2 Alan Cox 2002-12-15 00:04:56 UTC
Newer rpm installs/updates build the initrd for you ok


Comment 4 Hardware Certification IRC Bot 2016-11-25 02:26:52 UTC
test can update comment for more than one bugids

Comment 5 Hardware Certification IRC Bot 2016-11-25 02:36:54 UTC
test can update comment for more than one bugids

Comment 6 Hardware Certification IRC Bot 2016-11-25 04:56:36 UTC
test can update comment for more than one bugids


Note You need to log in before you can comment on or make changes to this bug.